WasiError - Crystal 1.21.0

# enum WasiError

##
Defined in:

wasi_error.cr

##
Enum Members

SUCCESS = `0_u16`
TOOBIG = `1_u16`
ACCES = `2_u16`
ADDRINUSE = `3_u16`
ADDRNOTAVAIL = `4_u16`
AFNOSUPPORT = `5_u16`
AGAIN = `6_u16`
ALREADY = `7_u16`
BADF = `8_u16`
BADMSG = `9_u16`
BUSY = `10_u16`
CANCELED = `11_u16`
CHILD = `12_u16`
CONNABORTED = `13_u16`
CONNREFUSED = `14_u16`
CONNRESET = `15_u16`
DEADLK = `16_u16`
DESTADDRREQ = `17_u16`
DOM = `18_u16`
DQUOT = `19_u16`
EXIST = `20_u16`
FAULT = `21_u16`
FBIG = `22_u16`
HOSTUNREACH = `23_u16`
IDRM = `24_u16`
ILSEQ = `25_u16`
INPROGRESS = `26_u16`
INTR = `27_u16`
INVAL = `28_u16`
IO = `29_u16`
ISCONN = `30_u16`
ISDIR = `31_u16`
LOOP = `32_u16`
MFILE = `33_u16`
MLINK = `34_u16`
MSGSIZE = `35_u16`
MULTIHOP = `36_u16`
NAMETOOLONG = `37_u16`
NETDOWN = `38_u16`
NETRESET = `39_u16`
NETUNREACH = `40_u16`
NFILE = `41_u16`
NOBUFS = `42_u16`
NODEV = `43_u16`
NOENT = `44_u16`
NOEXEC = `45_u16`
NOLCK = `46_u16`
NOLINK = `47_u16`
NOMEM = `48_u16`
NOMSG = `49_u16`
NOPROTOOPT = `50_u16`
NOSPC = `51_u16`
NOSYS = `52_u16`
NOTCONN = `53_u16`
NOTDIR = `54_u16`
NOTEMPTY = `55_u16`
NOTRECOVERABLE = `56_u16`
NOTSOCK = `57_u16`
NOTSUP = `58_u16`
NOTTY = `59_u16`
NXIO = `60_u16`
OVERFLOW = `61_u16`
OWNERDEAD = `62_u16`
PERM = `63_u16`
PIPE = `64_u16`
PROTO = `65_u16`
PROTONOSUPPORT = `66_u16`
PROTOTYPE = `67_u16`
RANGE = `68_u16`
ROFS = `69_u16`
SPIPE = `70_u16`
SRCH = `71_u16`
STALE = `72_u16`
TIMEDOUT = `73_u16`
TXTBSY = `74_u16`
XDEV = `75_u16`
NOTCAPABLE = `76_u16`

##
Instance Method Summary

- #acces?

  Returns `true` if this enum value equals `ACCES`

- #addrinuse?

  Returns `true` if this enum value equals `ADDRINUSE`

- #addrnotavail?

  Returns `true` if this enum value equals `ADDRNOTAVAIL`

- #afnosupport?

  Returns `true` if this enum value equals `AFNOSUPPORT`

- #again?

  Returns `true` if this enum value equals `AGAIN`

- #already?

  Returns `true` if this enum value equals `ALREADY`

- #badf?

  Returns `true` if this enum value equals `BADF`

- #badmsg?

  Returns `true` if this enum value equals `BADMSG`

- #busy?

  Returns `true` if this enum value equals `BUSY`

- #canceled?

  Returns `true` if this enum value equals `CANCELED`

- #child?

  Returns `true` if this enum value equals `CHILD`

- #connaborted?

  Returns `true` if this enum value equals `CONNABORTED`

- #connrefused?

  Returns `true` if this enum value equals `CONNREFUSED`

- #connreset?

  Returns `true` if this enum value equals `CONNRESET`

- #deadlk?

  Returns `true` if this enum value equals `DEADLK`

- #destaddrreq?

  Returns `true` if this enum value equals `DESTADDRREQ`

- #dom?

  Returns `true` if this enum value equals `DOM`

- #dquot?

  Returns `true` if this enum value equals `DQUOT`

- #exist?

  Returns `true` if this enum value equals `EXIST`

- #fault?

  Returns `true` if this enum value equals `FAULT`

- #fbig?

  Returns `true` if this enum value equals `FBIG`

- #hostunreach?

  Returns `true` if this enum value equals `HOSTUNREACH`

- #idrm?

  Returns `true` if this enum value equals `IDRM`

- #ilseq?

  Returns `true` if this enum value equals `ILSEQ`

- #inprogress?

  Returns `true` if this enum value equals `INPROGRESS`

- #intr?

  Returns `true` if this enum value equals `INTR`

- #inval?

  Returns `true` if this enum value equals `INVAL`

- #io?

  Returns `true` if this enum value equals `IO`

- #isconn?

  Returns `true` if this enum value equals `ISCONN`

- #isdir?

  Returns `true` if this enum value equals `ISDIR`

- #loop?

  Returns `true` if this enum value equals `LOOP`

- #message : String

  Returns the system error message associated with this error code.

- #mfile?

  Returns `true` if this enum value equals `MFILE`

- #mlink?

  Returns `true` if this enum value equals `MLINK`

- #msgsize?

  Returns `true` if this enum value equals `MSGSIZE`

- #multihop?

  Returns `true` if this enum value equals `MULTIHOP`

- #nametoolong?

  Returns `true` if this enum value equals `NAMETOOLONG`

- #netdown?

  Returns `true` if this enum value equals `NETDOWN`

- #netreset?

  Returns `true` if this enum value equals `NETRESET`

- #netunreach?

  Returns `true` if this enum value equals `NETUNREACH`

- #nfile?

  Returns `true` if this enum value equals `NFILE`

- #nobufs?

  Returns `true` if this enum value equals `NOBUFS`

- #nodev?

  Returns `true` if this enum value equals `NODEV`

- #noent?

  Returns `true` if this enum value equals `NOENT`

- #noexec?

  Returns `true` if this enum value equals `NOEXEC`

- #nolck?

  Returns `true` if this enum value equals `NOLCK`

- #nolink?

  Returns `true` if this enum value equals `NOLINK`

- #nomem?

  Returns `true` if this enum value equals `NOMEM`

- #nomsg?

  Returns `true` if this enum value equals `NOMSG`

- #noprotoopt?

  Returns `true` if this enum value equals `NOPROTOOPT`

- #nospc?

  Returns `true` if this enum value equals `NOSPC`

- #nosys?

  Returns `true` if this enum value equals `NOSYS`

- #notcapable?

  Returns `true` if this enum value equals `NOTCAPABLE`

- #notconn?

  Returns `true` if this enum value equals `NOTCONN`

- #notdir?

  Returns `true` if this enum value equals `NOTDIR`

- #notempty?

  Returns `true` if this enum value equals `NOTEMPTY`

- #notrecoverable?

  Returns `true` if this enum value equals `NOTRECOVERABLE`

- #notsock?

  Returns `true` if this enum value equals `NOTSOCK`

- #notsup?

  Returns `true` if this enum value equals `NOTSUP`

- #notty?

  Returns `true` if this enum value equals `NOTTY`

- #nxio?

  Returns `true` if this enum value equals `NXIO`

- #overflow?

  Returns `true` if this enum value equals `OVERFLOW`

- #ownerdead?

  Returns `true` if this enum value equals `OWNERDEAD`

- #perm?

  Returns `true` if this enum value equals `PERM`

- #pipe?

  Returns `true` if this enum value equals `PIPE`

- #proto?

  Returns `true` if this enum value equals `PROTO`

- #protonosupport?

  Returns `true` if this enum value equals `PROTONOSUPPORT`

- #prototype?

  Returns `true` if this enum value equals `PROTOTYPE`

- #range?

  Returns `true` if this enum value equals `RANGE`

- #rofs?

  Returns `true` if this enum value equals `ROFS`

- #spipe?

  Returns `true` if this enum value equals `SPIPE`

- #srch?

  Returns `true` if this enum value equals `SRCH`

- #stale?

  Returns `true` if this enum value equals `STALE`

- #success?

  Returns `true` if this enum value equals `SUCCESS`

- #timedout?

  Returns `true` if this enum value equals `TIMEDOUT`

- #to_errno : Errno

  Transforms this `WasiError` value to the equivalent `Errno` value.

- #toobig?

  Returns `true` if this enum value equals `TOOBIG`

- #txtbsy?

  Returns `true` if this enum value equals `TXTBSY`

- #xdev?

  Returns `true` if this enum value equals `XDEV`

### Instance methods inherited from struct `Enum`

&(other : self) : self &, +(other : Int) : self +, -(other : Int) : self -, <=>(other : self) <=>, ==(other : self)
==(other) ==, ^(other : self) : self ^, |(other : self) : self |, ~ : self ~, clone clone, each(& : self -> ) each, hash(hasher) hash, includes?(other : self) : Bool includes?, inspect(io : IO) : Nil inspect, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i128 : Int128 to_i128, to_i128! : Int128 to_i128!, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) : Nil to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u128 : UInt128 to_u128, to_u128! : UInt128 to_u128!, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, value : Int value

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(value : self)
new(pull : JSON::PullParser) : self new, parse(string : String) : self parse

### Class methods inherited from struct `Enum`

each(& : self -> ) each, from_value?(value : Int) : self | Nil from_value?, names : Array(String) names, parse?(string : String) : self | Nil parse?, valid?(value : self) : Bool valid?, values : Array(self) values

### Macros inherited from struct `Enum`

[](*values) [], flags(*values) flags

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) : Bool <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) : Bool >, >=(other : T) >=, clamp(min, max)
clamp(range : Range) clamp

### Instance methods inherited from struct `Value`

==(other : Log::Metadata::Value)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io : String | IO, root : String)
from_json(string_or_io : String | IO) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Instance Method Detail

def acces? #

Returns `true` if this enum value equals `ACCES`

def addrinuse? #

Returns `true` if this enum value equals `ADDRINUSE`

def addrnotavail? #

Returns `true` if this enum value equals `ADDRNOTAVAIL`

def afnosupport? #

Returns `true` if this enum value equals `AFNOSUPPORT`

def again? #

Returns `true` if this enum value equals `AGAIN`

def already? #

Returns `true` if this enum value equals `ALREADY`

def badf? #

Returns `true` if this enum value equals `BADF`

def badmsg? #

Returns `true` if this enum value equals `BADMSG`

def busy? #

Returns `true` if this enum value equals `BUSY`

def canceled? #

Returns `true` if this enum value equals `CANCELED`

def child? #

Returns `true` if this enum value equals `CHILD`

def connaborted? #

Returns `true` if this enum value equals `CONNABORTED`

def connrefused? #

Returns `true` if this enum value equals `CONNREFUSED`

def connreset? #

Returns `true` if this enum value equals `CONNRESET`

def deadlk? #

Returns `true` if this enum value equals `DEADLK`

def destaddrreq? #

Returns `true` if this enum value equals `DESTADDRREQ`

def dom? #

Returns `true` if this enum value equals `DOM`

def dquot? #

Returns `true` if this enum value equals `DQUOT`

def exist? #

Returns `true` if this enum value equals `EXIST`

def fault? #

Returns `true` if this enum value equals `FAULT`

def fbig? #

Returns `true` if this enum value equals `FBIG`

def hostunreach? #

Returns `true` if this enum value equals `HOSTUNREACH`

def idrm? #

Returns `true` if this enum value equals `IDRM`

def ilseq? #

Returns `true` if this enum value equals `ILSEQ`

def inprogress? #

Returns `true` if this enum value equals `INPROGRESS`

def intr? #

Returns `true` if this enum value equals `INTR`

def inval? #

Returns `true` if this enum value equals `INVAL`

def io? #

Returns `true` if this enum value equals `IO`

def isconn? #

Returns `true` if this enum value equals `ISCONN`

def isdir? #

Returns `true` if this enum value equals `ISDIR`

def loop? #

Returns `true` if this enum value equals `LOOP`

def message : String #

Returns the system error message associated with this error code.

def mfile? #

Returns `true` if this enum value equals `MFILE`

def mlink? #

Returns `true` if this enum value equals `MLINK`

def msgsize? #

Returns `true` if this enum value equals `MSGSIZE`

def multihop? #

Returns `true` if this enum value equals `MULTIHOP`

def nametoolong? #

Returns `true` if this enum value equals `NAMETOOLONG`

def netdown? #

Returns `true` if this enum value equals `NETDOWN`

def netreset? #

Returns `true` if this enum value equals `NETRESET`

def netunreach? #

Returns `true` if this enum value equals `NETUNREACH`

def nfile? #

Returns `true` if this enum value equals `NFILE`

def nobufs? #

Returns `true` if this enum value equals `NOBUFS`

def nodev? #

Returns `true` if this enum value equals `NODEV`

def noent? #

Returns `true` if this enum value equals `NOENT`

def noexec? #

Returns `true` if this enum value equals `NOEXEC`

def nolck? #

Returns `true` if this enum value equals `NOLCK`

def nolink? #

Returns `true` if this enum value equals `NOLINK`

def nomem? #

Returns `true` if this enum value equals `NOMEM`

def nomsg? #

Returns `true` if this enum value equals `NOMSG`

def noprotoopt? #

Returns `true` if this enum value equals `NOPROTOOPT`

def nospc? #

Returns `true` if this enum value equals `NOSPC`

def nosys? #

Returns `true` if this enum value equals `NOSYS`

def notcapable? #

Returns `true` if this enum value equals `NOTCAPABLE`

def notconn? #

Returns `true` if this enum value equals `NOTCONN`

def notdir? #

Returns `true` if this enum value equals `NOTDIR`

def notempty? #

Returns `true` if this enum value equals `NOTEMPTY`

def notrecoverable? #

Returns `true` if this enum value equals `NOTRECOVERABLE`

def notsock? #

Returns `true` if this enum value equals `NOTSOCK`

def notsup? #

Returns `true` if this enum value equals `NOTSUP`

def notty? #

Returns `true` if this enum value equals `NOTTY`

def nxio? #

Returns `true` if this enum value equals `NXIO`

def overflow? #

Returns `true` if this enum value equals `OVERFLOW`

def ownerdead? #

Returns `true` if this enum value equals `OWNERDEAD`

def perm? #

Returns `true` if this enum value equals `PERM`

def pipe? #

Returns `true` if this enum value equals `PIPE`

def proto? #

Returns `true` if this enum value equals `PROTO`

def protonosupport? #

Returns `true` if this enum value equals `PROTONOSUPPORT`

def prototype? #

Returns `true` if this enum value equals `PROTOTYPE`

def range? #

Returns `true` if this enum value equals `RANGE`

def rofs? #

Returns `true` if this enum value equals `ROFS`

def spipe? #

Returns `true` if this enum value equals `SPIPE`

def srch? #

Returns `true` if this enum value equals `SRCH`

def stale? #

Returns `true` if this enum value equals `STALE`

def success? #

Returns `true` if this enum value equals `SUCCESS`

def timedout? #

Returns `true` if this enum value equals `TIMEDOUT`

def to_errno : Errno #

Transforms this `WasiError` value to the equivalent `Errno` value.

This is only defined for some values. If no transformation is defined for a specific value, the default result is `Errno::EINVAL`.

def toobig? #

Returns `true` if this enum value equals `TOOBIG`

def txtbsy? #

Returns `true` if this enum value equals `TXTBSY`

def xdev? #

Returns `true` if this enum value equals `XDEV`